Apache Axis2 1.8.0 Release Note
-------------------------------

*   The minimum required Java version for Axis2 has been changed to Java 8.

*   The Apache Commons HttpClient 3.x based HTTP transport has been removed.

*   The HTTPClient 4.x based transport has been upgraded to use the APIs supported
    by the latest HTTPClient version.

*   Because of the HTTPClient 4.x changes and also JAX-WS changes in the 1.7.x 
    series, users are strongly encouraged to update their axis2.xml. 

*   JSON support now includes Moshi as an alternative to GSON. The JSON
    documentation now includes a JSON and Spring Boot userguide with a WAR
    application demonstrating Spring Security with tokens. Many bug fixes
    in general. Any future growth of Axis2 depends on how well the community 
    responds to the increasing focus on JSON. 

*   Source control is now via Git and GitHub: https://github.com/apache/axis-axis2-java-core

*   Logging is now via Apache Log4j 2 instead of 1.x. A large focus this release has
    been on modernizing dependencies. Github Dependabot is handling this now 
    automatically.

*   As explained in the Spring userguide, Spring inside the AAR is no longer supported.
    The rest of the Spring support is unchanged.

*   To improve dependency management, the data binding JARs have been split to
    separate the code required at build time from the code required at runtime:
    *   `axis2-jibx` has been split into `axis2-jibx` and `axis2-jibx-codegen`.
    *   `axis2-xmlbeans` has been split into `axis2-xmlbeans` and
        `axis2-xmlbeans-codegen`.
    *   `axis2-jaxbri` has been renamed to `axis2-jaxbri` (The JAXB-RI data
        binding doesn't require any additional classes at runtime).
    *   There are no changes for ADB because the code was already split in
        previous Axis2 versions.


<h2>        Bug
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-4021'>AXIS2-4021</a>] -         AbstractHTTPSender: changes to the isAllowRetry flag have no effect
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-4602'>AXIS2-4602</a>] -         JAX-WS MTOM issue
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5052'>AXIS2-5052</a>] -         Unable to send compressed message!!
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5301'>AXIS2-5301</a>] -         Axis2 MTOM client outof memory error when downloading file from service
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5694'>AXIS2-5694</a>] -         axis2 reading DataHandler in client ws causing: DataHandler.getorg.apache.axiom.om.OMException: java.io.IOException: Attempted read on closed stream.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5748'>AXIS2-5748</a>] -         axis2-metadata: Compilation failure: unmappable character for encoding UTF-8
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5761'>AXIS2-5761</a>] -         Request for removal of dependency of commons-httpclient 3.1 on Apache Axis2 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5796'>AXIS2-5796</a>] -         java.lang.NoClassDefFoundError AFTER successful build
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5827'>AXIS2-5827</a>] -         axis2-wsdl2code-maven-plugin shouldn&#39;t use Log4j
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5856'>AXIS2-5856</a>] -         Wrong null checker
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5893'>AXIS2-5893</a>] -         test.wsdl not found in ServiceClientTest::testWSDLWithImportsFromZIP
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5919'>AXIS2-5919</a>] -         WSDL2Java not working properly when using jaxbri and WSDL with faults
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5952'>AXIS2-5952</a>] -         File.mkdir() may fail and cause crash.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5966'>AXIS2-5966</a>] -         Axis2 1.8.0-SNAPSHOT fix did not work for JDK 11
</li>
</ul>
        
<h2>        New Feature
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5994'>AXIS2-5994</a>] -         Update woodstox-core-asl to woodstox-core
</li>
</ul>
        
<h2>        Improvement
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5661'>AXIS2-5661</a>] -         Axis2 1.6.2 @ Websphere 8.5 emits NumberFormatException intermittently.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5785'>AXIS2-5785</a>] -         Submit &#39;axis2-xsd2java-maven-plugin&#39; for consideration
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5884'>AXIS2-5884</a>] -         Change parameter &quot;Description&quot; to lower-case for service.xml.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5993'>AXIS2-5993</a>] -         Upgrade logging to log4j v2.x
</li>
</ul>
    
<h2>        Test
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/AXIS2-5895'>AXIS2-5895</a>] -         JAXWSCodeGenerationEngine extension is incomplete
</li>
</ul>
